%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} == 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		libfwnt
Version:	20181227
Release:	3%{?dist}
Summary:	Library to support common Windows NT specific formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libfwnt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool
    
%description
libfwnt is a library to support common Windows NT specific formats

%package devel
Summary: Header files and libraries for developing applications for libfwnt
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwnt.

%package python2
Summary: Python 2 bindings for libfwnt
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libfwnt

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for libfwnt
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3
%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

%description python3
Python 3 bindings for libfwnt
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers<lrr@cert.org> 20181227-1
* Release 20181227-1
	Version from 20181227

* Sat Dec 15 2018 Lawrence R. Rogers<lrr@cert.org> 20181215-1
* Release 20181215-1
	Version from 20181215

* Wed Jan 17 2018 Lawrence R. Rogers<lrr@cert.org> 20180117-1
* Release 20180117-1
	Version from 20180117

* Sun Jan 15 2017 Lawrence R. Rogers<lrr@cert.org> 20170115-1
* Release 20170115-1
	Version from 20170115

* Thu Nov  3 2016 Lawrence R. Rogers<lrr@cert.org> 20161103-1
* Release 20161103-1
	20161103
	* code clean up
	* worked on tests
	* worked on lzxpress huffman

	20161102
	* worked on tests

	20161031
	* worked on tests

* Mon Apr 18 2016 Joachim Metz <joachim.metz@gmail.com> 20160418-1
- Auto-generated

